Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
version.c File Reference
`#include "verconf.h"`
`#include "ruby/ruby.h"`
`#include "version.h"`
`#include <stdio.h>`
Include dependency graph for version.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | PRINT(type) puts(ruby_##type)
#define | MKSTR(type) rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))
#define | RUBY_ARCH RUBY_PLATFORM
#define | RUBY_SITEARCH RUBY_ARCH
#define | RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION
#define | RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION
#define | RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

## Functions
void | Init_version (void)
| Defines platform-depended Ruby-level constants. More...
void | ruby_show_version (void)
| Prints the version information of the CRuby interpreter to stdout. More...
void | ruby_show_copyright (void)
| Prints the copyright notice of the CRuby interpreter to stdout and exits this process successfully. More...

## Variables
const int | ruby_api_version []
const char | ruby_version [] = RUBY_VERSION
const char | ruby_release_date [] = RUBY_RELEASE_DATE
const char | ruby_platform [] = RUBY_PLATFORM
const int | ruby_patchlevel = RUBY_PATCHLEVEL
const char | ruby_description [] = RUBY_DESCRIPTION
const char | ruby_copyright [] = RUBY_COPYRIGHT
const char | ruby_engine [] = "ruby"
VALUE | ruby_engine_name = Qnil
const char | ruby_initial_load_paths []

## Macro Definition Documentation

#define MKSTR | ( |  | type) |  | rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))

Definition at line 18 of file version.c.

Referenced by Init_version().

#define PRINT | ( |  | type) |  | puts(ruby_##type)

Definition at line 17 of file version.c.

Referenced by BSD_vfprintf(), ruby_show_copyright(), and ruby_show_version().

#define RUBY_ARCH RUBY_PLATFORM

Definition at line 21 of file version.c.

#define RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION

Definition at line 42 of file version.c.

#define RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION

Definition at line 43 of file version.c.

#define RUBY_SITEARCH RUBY_ARCH

Definition at line 24 of file version.c.

#define RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

Definition at line 44 of file version.c.

## Function Documentation

void Init_version | ( | void | ) |  |

Defines platform-depended Ruby-level constants.

Definition at line 102 of file version.c.

References INT2FIX, MKSTR, rb_define_global_const(), ruby_engine_name, RUBY_PATCHLEVEL, RUBY_REVISION, and version().

## Variable Documentation

const int ruby_api_version[]

Initial value:
= {
RUBY_API_VERSION_MAJOR,
RUBY_API_VERSION_MINOR,
RUBY_API_VERSION_TEENY,
}

Definition at line 55 of file version.c.

const char ruby_copyright[] = RUBY_COPYRIGHT

Definition at line 65 of file version.c.

const char ruby_description[] = RUBY_DESCRIPTION

Definition at line 64 of file version.c.

Referenced by rb_async_bug_errno(), and report_bug().

const char ruby_engine[] = "ruby"

Definition at line 66 of file version.c.

VALUE ruby_engine_name = Qnil

Definition at line 67 of file version.c.

Referenced by Init_version(), location_to_str(), and oldbt_init().

const char ruby_initial_load_paths[]

Initial value:
=
RUBY_SITE_LIB2 "\0"
RUBY_SITE_ARCH_LIB_FOR(RUBY_SITEARCH) "\0"
RUBY_SITE_LIB "\0"
RUBY_VENDOR_LIB2 "\0"
RUBY_VENDOR_ARCH_LIB_FOR(RUBY_SITEARCH) "\0"
RUBY_VENDOR_LIB "\0"
RUBY_LIB "\0"
RUBY_ARCH_LIB_FOR(RUBY_ARCH) "\0"
""

Definition at line 69 of file version.c.

Referenced by ruby_init_loadpath_safe().

const int ruby_patchlevel = RUBY_PATCHLEVEL

Definition at line 63 of file version.c.

const char ruby_platform[] = RUBY_PLATFORM

Definition at line 62 of file version.c.

const char ruby_release_date[] = RUBY_RELEASE_DATE

Definition at line 61 of file version.c.

const char ruby_version[] = RUBY_VERSION

Definition at line 60 of file version.c.